local fn = _gn(0x131D401334815E94)
--- It determines what weapons caused damage:
-- If you want to define only a specific weapon, second parameter=weapon hash code, third parameter=0
-- If you want to define any melee weapon, second parameter=0, third parameter=1.
-- If you want to identify any weapon (firearms, melee, rockets, etc.), second parameter=0, third parameter=2.
function Global.HasEntityBeenDamagedByWeapon(entity, weaponHash, weaponType)
	return _in2(fn, entity, _ch(weaponHash), weaponType, _r)
end
